## rust-wasmtime 36.0.5+dfsg

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(wasmtime-examples)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_STANDARD 17)

add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../crates/c-api ${CMAKE_CURRENT_BINARY_DIR}/wasmtime)

function(CREATE_TARGET TARGET TARGET_PATH)
  add_executable(wasmtime-${TARGET} ${TARGET_PATH})

  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(wasmtime-${TARGET} PRIVATE -Wall -Wextra -Wno-deprecated-declarations)
  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    target_compile_options(wasmtime-${TARGET} PRIVATE /W3)
  endif()

  target_compile_definitions(wasmtime-${TARGET} PRIVATE WASMTIME_TEST_ONLY)

  set_target_properties(wasmtime-${TARGET} PROPERTIES
    OUTPUT_NAME wasmtime-${TARGET}
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/$<0:>
    CXX_VISIBILITY_PRESET hidden
    POSITION_INDEPENDENT_CODE ON)

  target_include_directories(wasmtime-${TARGET} PUBLIC wasmtime)
  target_link_libraries(wasmtime-${TARGET} PUBLIC wasmtime)
  add_test(NAME ${TARGET}-c COMMAND wasmtime-${TARGET} WORKING_DIRECTORY ../..)
endfunction()

function(CREATE_RUST_TEST EXAMPLE)
  if(ARGC GREATER 1)
    add_test(NAME ${EXAMPLE}-rust COMMAND cargo run --example ${EXAMPLE} --features ${ARGV1} WORKING_DIRECTORY ../..)
  else()
    add_test(NAME ${EXAMPLE}-rust COMMAND cargo run --example ${EXAMPLE} WORKING_DIRECTORY ../..)
  endif()
endfunction()
function(CREATE_RUST_WASM EXAMPLE TARGET)
  add_custom_target(${EXAMPLE}-wasm-${TARGET} ALL COMMAND cargo build -p example-${EXAMPLE}-wasm --target ${TARGET})
endfunction()

# Enable testing
enable_testing()

# Wasm files required by tests
create_rust_wasm(fib-debug wasm32-unknown-unknown)
create_rust_wasm(tokio wasm32-wasip1)
create_rust_wasm(wasi wasm32-wasip1)
create_rust_wasm(wasi wasm32-wasip2)
create_rust_wasm(component wasm32-unknown-unknown)
create_rust_wasm(resource-component wasm32-wasip2)

# C/C++ examples/tests
create_target(anyref anyref.c)
create_target(async async.cpp)
create_target(externref externref.c)
create_target(externref-cpp externref.cc)
create_target(fib-debug fib-debug/main.c)
create_target(fuel fuel.c)
create_target(fuel-cpp fuel.cc)
create_target(gcd gcd.c)
create_target(gcd-cpp gcd.cc)
create_target(hello hello.c)
create_target(hello-cpp hello.cc)
create_target(interrupt interrupt.c)
create_target(interrupt-cpp interrupt.cc)
create_target(linking linking.c)
create_target(linking-cpp linking.cc)
create_target(memory memory.c)
create_target(memory-cpp memory.cc)
create_target(multi multi.c)
create_target(multimemory multimemory.c)
create_target(serialize serialize.c)
create_target(threads threads.c)
create_target(wasip1 wasip1/main.c)

# Rust examples/tests
create_rust_test(anyref)
create_rust_test(epochs)
create_rust_test(externref)
create_rust_test(fib-debug)
create_rust_test(fuel)
create_rust_test(gcd)
create_rust_test(hello)
create_rust_test(interrupt)
create_rust_test(linking)
create_rust_test(memory)
create_rust_test(multi)
create_rust_test(multimemory)
create_rust_test(serialize)
create_rust_test(threads)
create_rust_test(wasip1)
create_rust_test(wasip1-async)
create_rust_test(wasip2)
create_rust_test(wasip2-async)
create_rust_test(tokio wasi-common/tokio)
create_rust_test(component)
create_rust_test(resource-component)

=== crates/c-api/tests/CMakeLists.txt ===
include(FetchContent)
FetchContent_Declare(
  googletest
  URL https://github.com/google/googletest/archive/refs/tags/release-1.12.1.zip
)
# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
FetchContent_MakeAvailable(googletest)

include(GoogleTest)

function(add_capi_test name)
  cmake_parse_arguments(PARSE_ARGV 1 arg "" "" "FILES")
  add_executable(test-${name} ${arg_FILES})
  target_link_libraries(test-${name} PRIVATE wasmtime-cpp gtest_main)
  gtest_discover_tests(test-${name}
    # GitHub Actions on Windows is pretty slow, let's give it lots more time
    # than the default 5 seconds.
    DISCOVERY_TIMEOUT 60)
endfunction()

add_capi_test(tests FILES
  simple.cc
  types.cc
  memory_type.cc
  val_type.cc
  global_type.cc
  table_type.cc
  func_type.cc
  import_type.cc
  export_type.cc
  extern_type.cc
  func.cc
  component/instantiate.cc
  component/define_module.cc
  component/lookup_func.cc
  component/call_func.cc
  component/values.cc
  error.cc
  config.cc
  wat.cc
  module.cc
  engine.cc
  trap.cc
  wasi.cc
  store.cc
  val.cc
  table.cc
  global.cc
  memory.cc
  instance.cc
  linker.cc
  wasip2.cc
)

# Create a list of all wasmtime headers with `GLOB_RECURSE`, then emit a file
# into the current binary directory which tests that if the header is included
# that the file compiles correctly.
#
# Gather everything into a list and then create a test which links all these
# compilations together. This binary doesn't actually run any tests itself but
# it does test that all headers compile in isolation at least. Not perfect but
# hopefully at least something.
cmake_path(APPEND CMAKE_CURRENT_SOURCE_DIR "../include" OUTPUT_VARIABLE header_root)
file(GLOB_RECURSE cpp_headers "${header_root}/*.h*")
foreach(header IN LISTS cpp_headers)
  cmake_path(GET header EXTENSION header_extension)
  if(header_extension STREQUAL ".h.in")
    continue()
  endif()
  cmake_path(GET header FILENAME header_filename)
  cmake_path(APPEND CMAKE_CURRENT_BINARY_DIR "header-test" "${header_filename}.cc"
    OUTPUT_VARIABLE test_filename)
  list(APPEND header_tests ${test_filename})

  cmake_path(
    RELATIVE_PATH header
    BASE_DIRECTORY ${header_root}
    OUTPUT_VARIABLE rel_header)
  file(WRITE ${test_filename} "#include <${rel_header}>")
endforeach()
add_capi_test(standalone-headers FILES ${header_tests})

# Add a custom test where two files include `wasmtime.hh` and are compiled into
# the same executable (basically makes sure any defined functions in the header
# are tagged with `inline`).
add_capi_test(test-double-include FILES double-include-a.cc double-include-b.cc)

=== debian/changelog ===
rust-wasmtime (36.0.5+dfsg-3) unstable; urgency=medium

  * really bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest crate wasmtime-internal-unwinder

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 12:53:22 +0100

rust-wasmtime (36.0.5+dfsg-2) unstable; urgency=medium

  * adjust patch 2000 to use feature component-modeli
    (not bogus customfeature)
  * provide and autopkgtest crates
    cranelift-assembler-x64 cranelift-assembler-x64-meta cranelift-srcgen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 00:00:36 +0100

rust-wasmtime (36.0.5+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v36
  * update copyright info:
    + avoid minified JavaScript code when repackaging upstream source
    + license patches same as main upstream license
  * bump project versions in virtual packages and autopkgtests
  * build-depend on packages for crates cargo_metadata wasmprinter
  * provide and autopkgtest wasmtime-internal-jit-icache-coherence
    (not wasmtime-jit-icache-coherence);
    provide and autopkgtest wasmtime-internal-math
    (not wasmtime-math)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Feb 2026 20:32:03 +0100

rust-wasmtime (29.0.1+dfsg-8) unstable; urgency=medium

  * add patch 1001_toml
    to accept newer minor version of crate toml;
    relax build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Feb 2026 12:08:20 +0100

rust-wasmtime (29.0.1+dfsg-7) unstable; urgency=medium

  * tighten build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jan 2026 12:12:22 +0100

rust-wasmtime (29.0.1+dfsg-6) unstable; urgency=medium

  * extend patch 1001 to cover newer minor version of crate itertools;
    relax build-dependency for crate itertools;
    closes: bug#1126626, thanks to Peter Michael Green
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jan 2026 10:52:47 +0100

rust-wasmtime (29.0.1+dfsg-5) unstable; urgency=medium

  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 10:03:24 +0100

rust-wasmtime (29.0.1+dfsg-4) unstable; urgency=medium

  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * add patch 1002 to add feature fences for tests
  * extend patch 2006 to cover broken cranelift-jit example
  * update copyright info:
    + update coverage
    + avoid any .git* files when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 19:15:05 +0100

=== debian/control ===
Source: rust-wasmtime
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-async-trait-dev,
 librust-base64-dev,
 librust-bumpalo-dev,
 librust-bytes-dev,
 librust-bytesize-dev,
 librust-cap-std-dev,
 librust-capstone-dev,
 librust-cargo-metadata-dev,
 librust-cfg-if-dev,
 librust-clap-complete-dev,
 librust-clap-dev,
 librust-codespan-reporting-dev,
 librust-directories-next-dev,
 librust-env-logger-dev,
 librust-filetime-dev,
 librust-futures-dev,
 librust-gimli-dev,
 librust-hashbrown-dev,
 librust-humantime-dev,
 librust-indicatif-dev,
 librust-itertools-dev (<< 0.15),
 librust-libc-dev,
 librust-libm-dev,
 librust-libtest-mimic-dev,
 librust-log-dev,
 librust-memfd-dev,
 librust-memmap2-dev,
 librust-object-dev,
 librust-paste-dev,
 librust-postcard-dev,
 librust-pretty-env-logger-dev,
 librust-psm-dev,
 librust-regalloc2-dev,
 librust-region-dev,
 librust-rustc-hash-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-sha2-dev,
 librust-similar-dev,
 librust-smallvec-dev,
 librust-souper-ir-dev,
 librust-sptr-dev,
 librust-target-lexicon-dev,
 librust-tempfile-dev,
 librust-thiserror-dev,
 librust-toml-dev,
 librust-tracing-dev,
 librust-trait-variant-dev,
 librust-walkdir-dev,
 librust-wasmparser-dev,
 librust-wasmprinter-dev,
 librust-wat-dev,
 librust-zstd-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/

Package: librust-cranelift-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-bumpalo-dev,
 librust-capstone-dev,
 librust-cfg-if-dev,
 librust-codespan-reporting-dev,
 librust-env-logger-dev,
 librust-gimli-dev,
 librust-hashbrown-dev,
 librust-libc-dev,
 librust-libm-dev,
 librust-log-dev,
 librust-memmap2-dev,
 librust-object-dev,
 librust-postcard-dev,
 librust-regalloc2-dev,
 librust-region-dev,
 librust-rustc-hash-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-sha2-dev,
 librust-similar-dev,
 librust-smallvec-dev,
 librust-souper-ir-dev,
 librust-sptr-dev,
 librust-target-lexicon-dev,
 librust-thiserror-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.123+core-dev (= ${binary:Version}),
 librust-cranelift-0.123+default-dev (= ${binary:Version}),
 librust-cranelift-0.123+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.123+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.123+jit-dev (= ${binary:Version}),
 librust-cranelift-0.123+module-dev (= ${binary:Version}),
 librust-cranelift-0.123+native-dev (= ${binary:Version}),
 librust-cranelift-0.123+object-dev (= ${binary:Version}),
 librust-cranelift-0.123+std-dev (= ${binary:Version}),
 librust-cranelift-0.123-dev (= ${binary:Version}),
 librust-cranelift-0.123.5-dev (= ${binary:Version}),
 librust-cranelift-assembler-x64-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-bforest-0.123+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.123-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.123.5-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.123+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123.5-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.123+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+disas-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+incremental-cache-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+isle-errors-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+isle-in-source-tree-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+riscv64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+s390x-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+souper-harvest-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+timing-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.123-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.123-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.123+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123.5-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.123+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123.5-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.123+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123.5-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.123+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.123-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.123.5-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.123+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123.5-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.123+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123.5-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.123+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123.5-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-native-0.123+core-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123+default-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123+std-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123.5-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-object-0.123+default-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.123-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.123.5-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-reader-0.123+default-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-cranelift-reader-0.123-dev (= ${rust:Version:librust-cranelift-reader-dev}),

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION DEB_VERSION_UPSTREAM DEB_VERSION_UPSTREAM_REVISION
include /usr/share/dpkg/pkg-info.mk

# resolve crate version
# * get topmost version except prerelease suffix
#   from Cargo.toml file in dir passed as argument
# * source package version if matching upstream part modulo prerelease
# * otherwise append source package version
crate_version = \
 $(shell perl -n \
 -E '/^version\W+\K\d+\.\d+\.\d+/ ' \
 -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

%:
	dh $@

# unlock dependencies during build
execute_before_dh_auto_configure:
	[ -f Cargo.lock.orig ] || mv Cargo.lock Cargo.lock.orig

# declare version for virtually provided embedded crates
packages = librust-cranelift-dev
vpkgstems = \
 pulley-interpreter cranelift-assembler-x64 cranelift-assembler-x64-meta
vpkgstems_cranelift = \
 bforest bitset codegen codegen-meta codegen-shared control \
 entity frontend interpreter isle jit module native object reader srcgen
vpkgstems_wasmtime = jit-icache-coherence math unwinder
packages_virtual = \
 $(patsubst %,librust-%-dev,$(vpkgstems)) \
 $(patsubst %,librust-cranelift-%-dev,$(vpkgstems_cranelift)) \
 $(patsubst %,librust-wasmtime-%-dev,$(vpkgstems_wasmtime))
override_dh_gencontrol:
	$(eval librust-cranelift-dev_version = $(call crate_version,cranelift/umbrella))\
	$(eval librust-wasmtime-dev_version = $(call crate_version,.))\
	$(eval librust-pulley-interpreter-dev_version = $(call crate_version,.))\
	$(eval librust-cranelift-assembler-x64-dev_version = $(call crate_version,cranelift/assembler-x64))\
	$(eval librust-cranelift-assembler-x64-meta-dev_version = $(call crate_version,cranelift/assembler-x64/meta))\
	$(foreach s,$(vpkgstems_cranelift),\
	 $(eval librust-cranelift-$s-dev_version = $(call crate_version,cranelift/$(subst isle,isle/isle,$(subst -,/,$s)))))\
	$(foreach s,$(vpkgstems_wasmtime),\
	 $(eval librust-wasmtime-$s-dev_version = $(librust-wasmtime-dev_version)))\
	set -e; $(foreach p,$(packages),\
	 dh_gencontrol -p$p -- \
	 -v'$($p_version)' \
	 $(foreach q,$(filter-out $p,$(packages) $(packages_virtual)),\
	 -V'rust:Version:$q=$($q_version)');)
	dh_gencontrol --remaining-packages

# avoid cleaning unless source is patched
override_dh_auto_clean:
	grep -q crates/wasi-common/WASI/ Cargo.toml || dh_auto_clean --buildsystem rust

# re-lock dependencies
execute_after_dh_auto_clean:
	[ ! -f Cargo.lock.orig ] || mv -f Cargo.lock.orig Cargo.lock

=== debian/tests/control ===
# check single-feature tests only on amd64
# skip unsupported official architectures armel armhf ppc64el s390x for crate cranelift-codegen
# skip unsupported official architectures arm64 riscv64 for crate cranelift-object
# skip unsupported official architecture i386 for crate cranelift-jit
# skip too slow official architecture riscv64 for crate cranelift-jit
# skip a failing default-features test on i386 for crate cranelift-codegen
# skip some non-feature tests where std is apparently required
# add required cranelift-codegen features std and unwind
# skip cranelift-codegen feature isle-in-source-tree: requires writable source

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --all-features
Features:
 test-name=cranelift:@,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets
Features:
 test-name=cranelift:default,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.123+default-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --no-default-features
Features:
 test-name=cranelift:,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --no-default-features --features core
Features:
 test-name=cranelift:core,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.123+core-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --no-default-features --features std
Features:
 test-name=cranelift:std,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.123+std-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --no-default-features --features frontend
Features:
 test-name=cranelift:frontend,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.123+frontend-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
 --all-targets --no-default-features --features interpreter
Features:
 test-name=cranelift:interpreter,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.123+interpreter-dev,
 librust-similar-dev,
 librust-tempfile-dev,
Restrictions:
 allow-stderr,

## rust-wasmtime 36.0.6+dfsg

=== crates/c-api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(wasmtime C)

set(WASMTIME_USER_CARGO_BUILD_OPTIONS "" CACHE STRING "Additional cargo flags (such as --features) to apply to the build command")
option(BUILD_SHARED_LIBS "Build using shared libraries" OFF)
option(BUILD_TESTS "Build tests" OFF)
option(WASMTIME_ALWAYS_BUILD "If cmake should always invoke cargo to build wasmtime" ON)
option(WASMTIME_FASTEST_RUNTIME "Set flags designed to optimize runtime performance" OFF)
set(WASMTIME_TARGET "" CACHE STRING "Rust target to build for")

if(WASMTIME_TARGET STREQUAL "")
  execute_process(COMMAND rustc -vV OUTPUT_VARIABLE RUSTC_VERSION)
  string(REGEX MATCH "host: ([^ \n]*)" RUSTC_HOST ${RUSTC_VERSION})
  string(STRIP ${CMAKE_MATCH_1} RUSTC_HOST_TARGET)
  set(WASMTIME_TARGET ${RUSTC_HOST_TARGET})
endif()

include(cmake/features.cmake)

if(WASMTIME_FASTEST_RUNTIME)
  set(WASMTIME_BUILD_TYPE_FLAG "--profile=fastest-runtime")
  set(WASMTIME_BUILD_TYPE "fastest-runtime")
  set(CARGO_PROFILE_PANIC CARGO_PROFILE_RELEASE_PANIC)
else()
  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(WASMTIME_BUILD_TYPE "debug")
    set(CARGO_PROFILE_PANIC CARGO_PROFILE_DEBUG_PANIC)
  else()
    set(WASMTIME_BUILD_TYPE_FLAG "--release")
    set(WASMTIME_BUILD_TYPE "release")
    set(CARGO_PROFILE_PANIC CARGO_PROFILE_RELEASE_PANIC)
  endif()
endif()

set(WASMTIME_TARGET_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../target/${WASMTIME_TARGET}/${WASMTIME_BUILD_TYPE})

if(WASMTIME_TARGET MATCHES "darwin")
  set(WASMTIME_SHARED_FILES libwasmtime.dylib)
  set(WASMTIME_STATIC_FILES libwasmtime.a)
elseif(WASMTIME_TARGET MATCHES "windows-gnu")
  set(WASMTIME_SHARED_FILES libwasmtime.dll.a wasmtime.dll)
  set(WASMTIME_STATIC_FILES libwasmtime.a)
elseif(WASMTIME_TARGET MATCHES "windows-msvc")
  set(WASMTIME_SHARED_FILES wasmtime.dll.lib wasmtime.dll)
  set(WASMTIME_STATIC_FILES wasmtime.lib)
else()
  set(WASMTIME_SHARED_FILES libwasmtime.so)
  set(WASMTIME_STATIC_FILES libwasmtime.a)
endif()

list(TRANSFORM WASMTIME_SHARED_FILES PREPEND ${WASMTIME_TARGET_DIR}/)
list(TRANSFORM WASMTIME_STATIC_FILES PREPEND ${WASMTIME_TARGET_DIR}/)

list(APPEND WASMTIME_BUILD_ENV "${CARGO_PROFILE_PANIC}=abort")
if (APPLE AND CMAKE_OSX_DEPLOYMENT_TARGET)
    # On macOS, we need to set the deployment target for the build
    list(APPEND WASMTIME_BUILD_ENV "MACOSX_DEPLOYMENT_TARGET=${CMAKE_OSX_DEPLOYMENT_TARGET}")
endif()

include(ExternalProject)
find_program(WASMTIME_CARGO_BINARY cargo)
if(NOT WASMTIME_CARGO_BINARY)
    message(FATAL_ERROR [["cargo" was not found. Ensure "cargo" is in PATH. Aborting...]])
endif()
ExternalProject_Add(
    wasmtime-crate
    DOWNLOAD_COMMAND ""
    CONFIGURE_COMMAND ""
    INSTALL_COMMAND "${WASMTIME_INSTALL_COMMAND}"
    BUILD_COMMAND
        ${CMAKE_COMMAND} -E env ${WASMTIME_BUILD_ENV}
        ${WASMTIME_CARGO_BINARY} build
          --target ${WASMTIME_TARGET}
          --package wasmtime-c-api
          ${WASMTIME_BUILD_TYPE_FLAG}
          ${WASMTIME_FEATURES}
          ${WASMTIME_USER_CARGO_BUILD_OPTIONS}
    USES_TERMINAL_BUILD TRUE
    # Note that this is used as the cwd for the cargo invocation itself, build
    # byproducts go in the `target` directory at the top-level.
    BINARY_DIR ${CMAKE_CURRENT_SOURCE_DIR}
    BUILD_ALWAYS ${WASMTIME_ALWAYS_BUILD}
    BUILD_BYPRODUCTS ${WASMTIME_SHARED_FILES} ${WASMTIME_STATIC_FILES})
add_library(wasmtime INTERFACE)
add_dependencies(wasmtime wasmtime-crate)

if(BUILD_SHARED_LIBS)
    if(NOT WASMTIME_TARGET MATCHES "windows")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-rpath='$ORIGIN'")
    endif()
    list(GET WASMTIME_SHARED_FILES 0 WASMTIME_SHARED_LIB_TO_LINK)
    target_link_libraries(wasmtime INTERFACE ${WASMTIME_SHARED_LIB_TO_LINK})
else()
    if(WASMTIME_TARGET MATCHES "windows")
        target_compile_options(wasmtime INTERFACE -DWASM_API_EXTERN= -DWASI_API_EXTERN=)
        target_link_libraries(wasmtime INTERFACE ${WASMTIME_STATIC_FILES}
            ws2_32 advapi32 userenv ntdll shell32 ole32 bcrypt)
    elseif(WASMTIME_TARGET MATCHES "darwin")
        target_link_libraries(wasmtime INTERFACE ${WASMTIME_STATIC_FILES}
            "-framework CoreFoundation")
    else()
        target_link_libraries(wasmtime INTERFACE ${WASMTIME_STATIC_FILES}
            pthread dl m)
    endif()
endif()

target_include_directories(wasmtime INTERFACE ${CMAKE_BINARY_DIR}/include)
set(WASMTIME_HEADER_DST ${CMAKE_BINARY_DIR}/include)
include(cmake/install-headers.cmake)

include(GNUInstallDirs)
install(SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install-headers.cmake)
install(FILES ${WASMTIME_SHARED_FILES} ${WASMTIME_STATIC_FILES}
        DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(WASMTIME_TARGET MATCHES "darwin")
  # Postprocess the macOS dylib a bit to have a more reasonable `LC_ID_DYLIB`
  # directive than the default one that comes out of the linker when typically
  # doing `cargo build`. For more info see #984
  set(INSTALLED_LIB ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/libwasmtime.dylib)
  install(CODE "execute_process(COMMAND install_name_tool -id \"@rpath/libwasmtime.dylib\" ${INSTALLED_LIB})")
endif()

set(DOXYGEN_CONF_IN ${CMAKE_CURRENT_SOURCE_DIR}/doxygen.conf.in)
set(DOXYGEN_CONF_OUT ${CMAKE_BINARY_DIR}/doxygen.conf)
configure_file(${DOXYGEN_CONF_IN} ${DOXYGEN_CONF_OUT})
add_custom_target(doc
    COMMAND doxygen ${DOXYGEN_CONF_OUT}
    DEPENDS ${WASMTIME_GENERATED_CONF_H} ${DOXYGEN_CONF_OUT}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
add_dependencies(doc headers-to-doc)

file(GLOB headers "include/*.h")
add_custom_target(headers-to-doc
  COMMAND
    ${CMAKE_COMMAND}
      -DWASMTIME_HEADER_DST=${CMAKE_BINARY_DIR}/include
      -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install-headers.cmake
  DEPENDS ${headers})

if (NOT CMAKE_CXX_STANDARD)
  message(STATUS "Cannot detect C++ Standard. Switching to C++17 by default !!")
  set(CMAKE_CXX_STANDARD 17)
endif()
message(STATUS "CMAKE_CXX_STANDARD is ${CMAKE_CXX_STANDARD}")
if (NOT CMAKE_CXX_STANDARD GREATER_EQUAL 17)
  message(FATAL_ERROR "WASMTIME_CPP library does not support ${CMAKE_CXX_STANDARD}")
endif()
set(CMAKE_CXX_STANDARD_REQUIRED True)

option(ENABLE_CODE_ANALYSIS "Run code analysis" OFF)
message(STATUS "ENABLE_CODE_ANALYSIS       ${ENABLE_CODE_ANALYSIS}")

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
   add_compile_options (-fdiagnostics-color=always)
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   add_compile_options (-fcolor-diagnostics)
endif ()

add_library(wasmtime-cpp INTERFACE)
target_link_libraries(wasmtime-cpp INTERFACE wasmtime)
if (MSVC)
  target_compile_options(wasmtime-cpp INTERFACE /DWASM_API_EXTERN= /DWASI_API_EXTERN=)
  target_link_libraries(wasmtime-cpp INTERFACE ws2_32 bcrypt advapi32 userenv ntdll shell32 ole32)
else()
  target_link_libraries(wasmtime-cpp INTERFACE stdc++ pthread)
endif()

target_include_directories(
        wasmtime-cpp
        INTERFACE
        ${PROJECT_SOURCE_DIR}/include)

if (BUILD_TESTS)
  message(STATUS "Building tests")
  set(CMAKE_CXX_STANDARD 20)

  enable_language(CXX)
  set(INSTALL_GTEST OFF CACHE BOOL "" FORCE)

  enable_testing()
  add_subdirectory(tests)
endif()

=== debian/changelog ===
rust-wasmtime (36.0.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:53:34 +0100

rust-wasmtime (36.0.5+dfsg-5) unstable; urgency=medium

  * extend patch 2003_no_fuzz to cover cranelift-assembler-x64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:07:01 +0100

rust-wasmtime (36.0.5+dfsg-4) unstable; urgency=medium

  * provide and autopkgtest crate pulley-macros;
    (build-)depend on packages for crates proc-macro2 quote syn

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 13:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
  librust-paste-dev,
  librust-postcard-dev,
  librust-pretty-env-logger-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
  librust-psm-dev,
  librust-regalloc2-dev,
  librust-region-dev,
@@ -48,6 +50,7 @@
  librust-smallvec-dev,
  librust-souper-ir-dev,
  librust-sptr-dev,
+ librust-syn-dev,
  librust-target-lexicon-dev,
  librust-tempfile-dev,
  librust-thiserror-dev,
@@ -85,6 +88,8 @@
  librust-memmap2-dev,
  librust-object-dev,
  librust-postcard-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
  librust-regalloc2-dev,
  librust-region-dev,
  librust-rustc-hash-dev,
@@ -95,6 +100,7 @@
  librust-smallvec-dev,
  librust-souper-ir-dev,
  librust-sptr-dev,
+ librust-syn-dev,
  librust-target-lexicon-dev,
  librust-thiserror-dev,
  rustfmt,
@@ -110,24 +116,24 @@
  librust-cranelift-0.123+object-dev (= ${binary:Version}),
  librust-cranelift-0.123+std-dev (= ${binary:Version}),
  librust-cranelift-0.123-dev (= ${binary:Version}),
- librust-cranelift-0.123.5-dev (= ${binary:Version}),
+ librust-cranelift-0.123.6-dev (= ${binary:Version}),
  librust-cranelift-assembler-x64-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
- librust-cranelift-assembler-x64-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
+ librust-cranelift-assembler-x64-0.123.6-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-assembler-x64-meta-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
- librust-cranelift-assembler-x64-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
+ librust-cranelift-assembler-x64-meta-0.123.6-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-assembler-x64-meta-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-bforest-0.123+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bforest-0.123-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
- librust-cranelift-bforest-0.123.5-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
+ librust-cranelift-bforest-0.123.6-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bitset-0.123+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
- librust-cranelift-bitset-0.123.5-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
+ librust-cranelift-bitset-0.123.6-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-codegen-0.123+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
@@ -146,64 +152,63 @@
  librust-cranelift-codegen-0.123+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
- librust-cranelift-codegen-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
+ librust-cranelift-codegen-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-meta-0.123-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
- librust-cranelift-codegen-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
+ librust-cranelift-codegen-meta-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-shared-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-codegen-shared-0.123-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
- librust-cranelift-codegen-shared-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
+ librust-cranelift-codegen-shared-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-control-0.123+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123-dev (= ${rust:Version:librust-cranelift-control-dev}),
- librust-cranelift-control-0.123.5-dev (= ${rust:Version:librust-cranelift-control-dev}),
+ librust-cranelift-control-0.123.6-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-entity-0.123+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-0.123-dev (= ${rust:Version:librust-cranelift-entity-dev}),
- librust-cranelift-entity-0.123.5-dev (= ${rust:Version:librust-cranelift-entity-dev}),
+ librust-cranelift-entity-0.123.6-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-frontend-0.123+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
- librust-cranelift-frontend-0.123.5-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
+ librust-cranelift-frontend-0.123.6-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-interpreter-0.123+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-interpreter-0.123-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
- librust-cranelift-interpreter-0.123.5-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
+ librust-cranelift-interpreter-0.123.6-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-isle-0.123+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123-dev (= ${rust:Version:librust-cranelift-isle-dev}),
- librust-cranelift-isle-0.123.5-dev (= ${rust:Version:librust-cranelift-isle-dev}),
+ librust-cranelift-isle-0.123.6-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-jit-0.123+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-0.123+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-0.123-dev (= ${rust:Version:librust-cranelift-jit-dev}),
- librust-cranelift-jit-0.123.5-dev (= ${rust:Version:librust-cranelift-jit-dev}),
+ librust-cranelift-jit-0.123.6-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-module-0.123+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123-dev (= ${rust:Version:librust-cranelift-module-dev}),
- librust-cranelift-module-0.123.5-dev (= ${rust:Version:librust-cranelift-module-dev}),
+ librust-cranelift-module-0.123.6-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-native-0.123+core-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123+default-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123+std-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123-dev (= ${rust:Version:librust-cranelift-native-dev}),
- librust-cranelift-native-0.123.5-dev (= ${rust:Version:librust-cranelift-native-dev}),
+ librust-cranelift-native-0.123.6-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-object-0.123+default-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-object-0.123-dev (= ${rust:Version:librust-cranelift-object-dev}),
- librust-cranelift-object-0.123.5-dev (= ${rust:Version:librust-cranelift-object-dev}),
+ librust-cranelift-object-0.123.6-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-object-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-reader-0.123+default-dev (= ${rust:Version:librust-cranelift-reader-dev}),
- librust-cranelift-reader-0.123-dev (= ${rust:Version:librust-cranelift-reader-dev}),

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # add required cranelift-codegen features std and unwind
 # skip cranelift-codegen feature isle-in-source-tree: requires writable source
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --all-features
 Features:
  test-name=cranelift:@,
@@ -21,7 +21,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets
 Features:
  test-name=cranelift:default,
@@ -34,7 +34,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features
 Features:
  test-name=cranelift:,
@@ -47,7 +47,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features core
 Features:
  test-name=cranelift:core,
@@ -61,7 +61,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features std
 Features:
  test-name=cranelift:std,
@@ -75,7 +75,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features frontend
 Features:
  test-name=cranelift:frontend,
@@ -89,7 +89,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features interpreter
 Features:
  test-name=cranelift:interpreter,

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: bytecodealliance
Project: wasmtime
Dversion-Mangle: auto
Repacksuffix: +dfsg
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(36\.[\d.]+)
